CliBuilder (groovy 3.0.9 API)

Package: groovy.util

## [Groovy] Class CliBuilder

- groovy.util.CliBuilder

-     @Deprecated
      class CliBuilder
      extends Object

  deprecated:
    use `groovy.cli.picocli.CliBuilder` or CliBuilder instead.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `HelpFormatter` | `formatter`
    `CommandLineParser` | `parser`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CliBuilder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `HelpFormatter` | `getFormatter()` deprecated: This may not be available in future groovy.util.CliBuilder versions.
    `` | `CommandLineParser` | `getParser()` deprecated: This may not be available in future groovy.util.CliBuilder versions.
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `OptionAccessor` | `parse(Object args)`
    `` | `void` | `setFormatter(HelpFormatter formatter)` deprecated: This may not be available in future groovy.util.CliBuilder versions.
    `` | `void` | `setParser(CommandLineParser parser)` deprecated: This may not be available in future groovy.util.CliBuilder versions.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### HelpFormatter formatter

    - #### CommandLineParser parser

  - ### Constructor Detail

    - #### CliBuilder()

  - ### Method Detail

    - #### @Deprecated HelpFormatter getFormatter()

      deprecated:
        This may not be available in future groovy.util.CliBuilder versions. Use groovy.cli.commons.CliBuilder if you need this feature.

    - #### @Deprecated CommandLineParser getParser()

      deprecated:
        This may not be available in future groovy.util.CliBuilder versions. Use groovy.cli.commons.CliBuilder if you need this feature.

    - #### Object invokeMethod(String name, Object args)

    - #### OptionAccessor parse(Object args)

    - #### @Deprecated void setFormatter(HelpFormatter formatter)

      deprecated:
        This may not be available in future groovy.util.CliBuilder versions. Use groovy.cli.commons.CliBuilder if you need this feature.

    - #### @Deprecated void setParser(CommandLineParser parser)

      deprecated:
        This may not be available in future groovy.util.CliBuilder versions. Use groovy.cli.commons.CliBuilder if you need this feature.